commit: 8d30c38957773846cdb1cef9b1be0f3229824a39
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Tue Mar 16 18:53:20 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue Mar 16 18:53:20 2021 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=8d30c389
Revert "sci-biology/ncbi-blast+: drop py2 only versions"
This reverts commit 185edf7edae700779fb362e1adba1042514420da.
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
...-blast+-2.8.1.ebuild => ncbi-blast+-2.2.30.ebuild} | 19 +++++--------------
...-blast+-2.8.1.ebuild => ncbi-blast+-2.2.31.ebuild} | 16 +++++-----------
...i-blast+-2.8.1.ebuild => ncbi-blast+-2.6.0.ebuild} | 7 +++----
sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild | 2 +-
4 files changed, 14 insertions(+), 30 deletions(-)
diff --git a/sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
b/sci-biology/ncbi-blast+/ncbi-blast+-2.2.30.ebuild
similarity index 95%
copy from sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
copy to sci-biology/ncbi-blast+/ncbi-blast+-2.2.30.ebuild
index 40f338bc3..05c844b1c 100644
--- a/sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
+++ b/sci-biology/ncbi-blast+/ncbi-blast+-2.2.30.ebuild
@@ -3,14 +3,13 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python2_7 )
inherit eutils flag-o-matic multilib python-single-r1 toolchain-funcs
MY_P="ncbi-blast-${PV}+-src"
# workdir/ncbi-blast-2.2.30+-src
#
ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/2.2.30/ncbi-blast-2.2.30+-src.tar.gz
-#
ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/LATEST/ncbi-blast-2.3.0+-src.tar.gz
DESCRIPTION="A subset of NCBI C++ Toolkit containing just the NCBI BLAST+"
HOMEPAGE="https://ncbi.github.io/cxx-toolkit/"
@@ -67,8 +66,7 @@ DEPEND="
xpm? ( x11-libs/libXpm )
dev-libs/lzo
app-arch/bzip2
- dev-libs/libpcre
- dev-db/lmdb"
+ dev-libs/libpcre"
# USE flags which should be added somehow: wxWindows wxWidgets SP ORBacus ODBC
OEChem sge
# Intentionally omitted USE flags:
# ftds? ( dev-db/freetds ) # support for outside FreeTDS installations is
currently broken.
@@ -124,10 +122,7 @@ src_prepare() {
## epatch ${PATCHES[@]}
# use a Debian patch from
http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ncbi-blast%2B/trunk/debian/patches/fix_lib_deps?revision=18535&view=markup
- # the patches for 2.2.30+ do not apply to 2.2.31, mostly DLL_LIB is
gone but somewhere
- # it is still present, plus in a few places was something else patched
- # staying without any patches for now and lets see is it works on Gentoo
- # epatch "${FILESDIR}"/fix_lib_deps.patch
+ epatch "${FILESDIR}"/"${P}"__fix_lib_deps.patch
# make sure this one is the last one and contains the actual patches
applied unless we can have autoconf-2.59 or 2.60
# https://bugs.gentoo.org/show_bug.cgi?id=514706
@@ -241,9 +236,7 @@ src_configure() {
$(use_with mesa mesa "${EPREFIX}/usr")
$(use_with opengl glut "${EPREFIX}/usr")
$(use_with opengl glew "${EPREFIX}/usr")
- #
- # GLEW 2.0 dropped support for this, see
https://bugs.gentoo.org/show_bug.cgi?id=611302
- # $(use_with opengl glew-mx)
+ $(use_with opengl glew-mx)
$(use_with wxwidgets wxwidgets "${EPREFIX}/usr")
$(use_with wxwidgets wxwidgets-ucs)
$(use_with freetype freetype "${EPREFIX}/usr")
@@ -268,8 +261,6 @@ src_configure() {
$(use_with curl curl "${EPREFIX}/usr")
# $(use_with X x "${EPREFIX}/usr")
# $(use_with X x) # there is no --with-x option
- # prevent downloading VDB sources from
https://github.com/ncbi/ncbi-vdb.git during configure execution
- --without-vdb
)
# http://www.ncbi.nlm.nih.gov/books/NBK7167/
@@ -289,7 +280,7 @@ src_configure() {
--prefix="${EPREFIX}/usr" \
--libdir=/usr/lib64 \
--with-flat-makefile \
- ${myconf[@]} || die "Maybe try new
src/build-system/cmake/cmake-configure instead?"
+ ${myconf[@]} || die "gcc 7 or newer were not used by upstream
hence unsupported"
#--without-debug \
# --with-bin-release \
# --with-bincopy \
diff --git a/sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
b/sci-biology/ncbi-blast+/ncbi-blast+-2.2.31.ebuild
similarity index 96%
copy from sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
copy to sci-biology/ncbi-blast+/ncbi-blast+-2.2.31.ebuild
index 40f338bc3..0118086c8 100644
--- a/sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
+++ b/sci-biology/ncbi-blast+/ncbi-blast+-2.2.31.ebuild
@@ -3,17 +3,16 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python2_7 )
inherit eutils flag-o-matic multilib python-single-r1 toolchain-funcs
MY_P="ncbi-blast-${PV}+-src"
# workdir/ncbi-blast-2.2.30+-src
#
ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/2.2.30/ncbi-blast-2.2.30+-src.tar.gz
-#
ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/LATEST/ncbi-blast-2.3.0+-src.tar.gz
DESCRIPTION="A subset of NCBI C++ Toolkit containing just the NCBI BLAST+"
-HOMEPAGE="https://ncbi.github.io/cxx-toolkit/"
+HOMEPAGE="https://ncbi.github.io/cxx-toolkit/t"
SRC_URI="
ftp://ftp.ncbi.nih.gov/blast/executables/blast+/${PV}/${MY_P}.tar.gz"
# http://dev.gentoo.org/~jlec/distfiles/${PN}-${PV#0.}-asneeded.patch.xz"
@@ -67,8 +66,7 @@ DEPEND="
xpm? ( x11-libs/libXpm )
dev-libs/lzo
app-arch/bzip2
- dev-libs/libpcre
- dev-db/lmdb"
+ dev-libs/libpcre"
# USE flags which should be added somehow: wxWindows wxWidgets SP ORBacus ODBC
OEChem sge
# Intentionally omitted USE flags:
# ftds? ( dev-db/freetds ) # support for outside FreeTDS installations is
currently broken.
@@ -241,9 +239,7 @@ src_configure() {
$(use_with mesa mesa "${EPREFIX}/usr")
$(use_with opengl glut "${EPREFIX}/usr")
$(use_with opengl glew "${EPREFIX}/usr")
- #
- # GLEW 2.0 dropped support for this, see
https://bugs.gentoo.org/show_bug.cgi?id=611302
- # $(use_with opengl glew-mx)
+ $(use_with opengl glew-mx)
$(use_with wxwidgets wxwidgets "${EPREFIX}/usr")
$(use_with wxwidgets wxwidgets-ucs)
$(use_with freetype freetype "${EPREFIX}/usr")
@@ -268,8 +264,6 @@ src_configure() {
$(use_with curl curl "${EPREFIX}/usr")
# $(use_with X x "${EPREFIX}/usr")
# $(use_with X x) # there is no --with-x option
- # prevent downloading VDB sources from
https://github.com/ncbi/ncbi-vdb.git during configure execution
- --without-vdb
)
# http://www.ncbi.nlm.nih.gov/books/NBK7167/
@@ -289,7 +283,7 @@ src_configure() {
--prefix="${EPREFIX}/usr" \
--libdir=/usr/lib64 \
--with-flat-makefile \
- ${myconf[@]} || die "Maybe try new
src/build-system/cmake/cmake-configure instead?"
+ ${myconf[@]} || die "gcc 7 or newer were not used by upstream
hence unsupported"
#--without-debug \
# --with-bin-release \
# --with-bincopy \
diff --git a/sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
b/sci-biology/ncbi-blast+/ncbi-blast+-2.6.0.ebuild
similarity index 99%
copy from sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
copy to sci-biology/ncbi-blast+/ncbi-blast+-2.6.0.ebuild
index 40f338bc3..ccedf666d 100644
--- a/sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
+++ b/sci-biology/ncbi-blast+/ncbi-blast+-2.6.0.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python2_7 )
inherit eutils flag-o-matic multilib python-single-r1 toolchain-funcs
@@ -67,8 +67,7 @@ DEPEND="
xpm? ( x11-libs/libXpm )
dev-libs/lzo
app-arch/bzip2
- dev-libs/libpcre
- dev-db/lmdb"
+ dev-libs/libpcre"
# USE flags which should be added somehow: wxWindows wxWidgets SP ORBacus ODBC
OEChem sge
# Intentionally omitted USE flags:
# ftds? ( dev-db/freetds ) # support for outside FreeTDS installations is
currently broken.
@@ -289,7 +288,7 @@ src_configure() {
--prefix="${EPREFIX}/usr" \
--libdir=/usr/lib64 \
--with-flat-makefile \
- ${myconf[@]} || die "Maybe try new
src/build-system/cmake/cmake-configure instead?"
+ ${myconf[@]} || die
#--without-debug \
# --with-bin-release \
# --with-bincopy \
diff --git a/sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
b/sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
index 40f338bc3..72f8fd0b1 100644
--- a/sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
+++ b/sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python2_7 )
inherit eutils flag-o-matic multilib python-single-r1 toolchain-funcs